Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type.descriptor.java
Class SerializableTypeDescriptor<T extends Serializable>

    java.lang.Object
      org.hibernate.type.descriptor.java.AbstractTypeDescriptor<T>
          org.hibernate.type.descriptor.java.SerializableTypeDescriptor<T>

All Implemented Interfaces:
  Serializable, JavaTypeDescriptor<T>

    public class SerializableTypeDescriptor<T extends Serializable>

extends AbstractTypeDescriptor<T>

TODO : javadoc

See Also:
  Serialized Form

Nested Class Summary
`static class` | `SerializableTypeDescriptor.SerializableMutabilityPlan<S extends Serializable>`

Constructor Summary
`SerializableTypeDescriptor(Class<T> type)`

Method Summary
`boolean` | `areEqual(T one, T another)` Determine if two instances are equal
`int` | `extractHashCode(T value)` Extract a proper hash code for this value.
`protected T` | `fromBytes(byte[] bytes)`
`T` | `fromString(String string)`
`protected byte[]` | `toBytes(T value)`
`String` | `toString(T value)`
`
`<X> X`
` | `unwrap(T value, Class<X> type, WrapperOptions options)` Unwrap an instance of our handled Java type into the requested type.
`
`<X> T`
` | `wrap(X value, WrapperOptions options)` Wrap a value as our handled Java type.

Methods inherited from class org.hibernate.type.descriptor.java.AbstractTypeDescriptor
`extractLoggableRepresentation, getComparator, getJavaTypeClass, getMutabilityPlan, unknownUnwrap, unknownWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializableTypeDescriptor

    public SerializableTypeDescriptor(Class<T> type)

Method Detail

### toString

    public String toString(T value)

### fromString

    public T fromString(String string)

### areEqual

    public boolean areEqual(T one,
                            T another)

  Description copied from class: `AbstractTypeDescriptor`
  Determine if two instances are equal

  Specified by:
    `areEqual` in interface `JavaTypeDescriptor<T extends Serializable>`
  Overrides:
    `areEqual` in class `AbstractTypeDescriptor<T extends Serializable>`
  Parameters:
    `one` - One instance
    `another` - The other instance
  Returns:
    True if the two are considered equal; false otherwise.

### extractHashCode

    public int extractHashCode(T value)

  Description copied from class: `AbstractTypeDescriptor`
  Extract a proper hash code for this value.

  Specified by:
    `extractHashCode` in interface `JavaTypeDescriptor<T extends Serializable>`
  Overrides:
    `extractHashCode` in class `AbstractTypeDescriptor<T extends Serializable>`
  Parameters:
    `value` - The value for which to extract a hash code.
  Returns:
    The extracted hash code.

### unwrap

    public <X> X unwrap(T value,
                        Class<X> type,
                        WrapperOptions options)

  Description copied from interface: `JavaTypeDescriptor`
  Unwrap an instance of our handled Java type into the requested type.

  As an example, if this is a `JavaTypeDescriptor<Integer>` and we are asked to unwrap the `Integer value` as a `Long` we would return something like `Long.valueOf( value.longValue() )`.

  Intended use is during `PreparedStatement` binding.

  Type Parameters:
    `X` - The conversion type.
  Parameters:
    `value` - The value to unwrap
    `type` - The type as which to unwrap
    `options` - The options
  Returns:
    The unwrapped value.

### wrap

    public <X> T wrap(X value,
                      WrapperOptions options)

  Description copied from interface: `JavaTypeDescriptor`
  Wrap a value as our handled Java type.

  Intended use is during `ResultSet` extraction.

  Type Parameters:
    `X` - The conversion type.
  Parameters:
    `value` - The value to wrap.
    `options` - The options
  Returns:
    The wrapped value.

### toBytes

    protected byte[] toBytes(T value)

### fromBytes

    protected T fromBytes(byte[] bytes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.